---
management_admin_username: "management-admin" # backwards compatibility
management_admin_password: "{{ management_admin_password_vault }}" # backwards compatibility

management_oidc_realm: "stage-connect"
management_oidc_client_id: "connect"
management_oidc_client_secret: "{{ management_oidc_client_secret_vault }}"
management_oidc_admin_username: "management-admin"
management_oidc_admin_password: "{{ management_admin_password_vault }}"
management_oidc_admin_email: "{{ devops_email_address }}"

management_configurations:
  - pmci
  - backup
  - provisioning # legacy

connect_connection_teams_url: "{{ netgo_msteams_hook_cd }}"
connect_connection_awx_url: "{{ shared_service_kube_url_awx }}/"
connect_connection_harbor_url: "{{ shared_service_url_harbor }}/v2/"

connect_connections:
- id: "teams"
  name: "MS Teams"
  url: "{{ connect_connection_teams_url }}"
  connectionType: "HTTPS"
  authType: "NO_AUTH"
- id: "awx"
  name: "AWX"
  url: "{{ connect_connection_awx_url }}"
  connectionType: "HTTP"
  authType: "BASIC_AUTH"
  username: "{{ awx_admin_username }}"
  password: "{{ awx_admin_password }}"
- id: "harbor"
  name: "Harbor"
  url: "{{ connect_connection_harbor_url }}"
  connectionType: "HTTP"
  authType: "BASIC_AUTH"
  username: "{{ harbor_admin_username }}"
  password: "{{ harbor_admin_password }}"
